<?php

namespace App\Http\Controllers\Web;

use App\Models\Article;
use App\Models\Category;
use App\Models\Gallery;
use App\Models\Item;
use App\Models\Product;
use App\Models\ProductPhoto;
use App\Models\Review;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\View\View;
use App\Http\Controllers\Controller;

class MediaController extends Controller
{
    private $view = 'web.pages.media.';


    /**
     * Show the application dashboard.
     * @return View
     */

    public function index(Request $request) :View
    {
        $title = __('web.media');
        $videos = Gallery::withDescription()->where('galleries.status','video')->cursor();
        $images = Gallery::withDescription()->where('galleries.status','image')->get()->chunk(5)->toArray();

        return view($this->view.'index', get_defined_vars());
    }



}
